Skip to main content

Google Ads Python Client Library

Project description

The googleads Python Client Libraries support the following products:

  • AdWords API
  • Google Ad Manager API

You can find more information about the Google Ads Python Client Libraries here.

Supported Python Versions

This library is supported for Python 2 and 3, for versions 2.7+ and 3.4+ respectively. It is recommended that Python 2 users use python 2.7.9+ to take advantage of the SSL Certificate Validation feature that is not included in earlier versions.

Installation

You have two options for installing the Ads Python Client Libraries:

  • Install with a tool such as pip:

    $ sudo pip install googleads
    
  • Install manually after downloading and extracting the tarball:

    $ sudo python setup.py install
    

Examples

If you would like to obtain example code for any of the included client libraries, you can find it on our downloads page.

Contact Us

Do you have an issue using the googleads Client Libraries? Or perhaps some feedback for how we can improve them? Feel free to let us know on our issue tracker.

Project details


Download files

Download the file for your platform. If you're not sure which to choose, learn more about installing packages.

Filename, size & hash SHA256 hash help File type Python version Upload date
googleads-15.0.1.tar.gz (53.3 kB) Copy SHA256 hash SHA256 Source None

Supported by

Elastic Elastic Search Pingdom Pingdom Monitoring Google Google BigQuery Sentry Sentry Error logging AWS AWS Cloud computing DataDog DataDog Monitoring Fastly Fastly CDN SignalFx SignalFx Supporter DigiCert DigiCert EV certificate StatusPage StatusPage Status page